	.file	"thpool.c"
	.text
.Ltext0:
	.globl	threadsSpawned
	.bss
	.align 4
	.type	threadsSpawned, @object
	.size	threadsSpawned, 4
threadsSpawned:
	.zero	4
	.comm	tids,400000,32
	.data
	.align 4
	.type	thpool_keepalive, @object
	.size	thpool_keepalive, 4
thpool_keepalive:
	.long	1
	.globl	mutex
	.bss
	.align 4
	.type	mutex, @object
	.size	mutex, 24
mutex:
	.zero	24
	.section	.rodata
	.align 4
.LC0:
	.string	"thpool_init(): Could not allocate memory for thread pool\n"
	.align 4
.LC1:
	.string	"thpool_init(): Could not allocate memory for thread IDs\n"
	.align 4
.LC2:
	.string	"thpool_init(): Could not allocate memory for job queue\n"
.LC3:
	.string	"Created thread %d in pool \n"
	.text
	.globl	thpool_init
	.type	thpool_init, @function
thpool_init:
.LFB0:
	.file 1 "thpool.c"
	.loc 1 51 0
	.cfi_startproc
	pushl	%ebp
.LCFI0:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI1:
	.cfi_def_cfa_register 5
	pushl	%ebx
	subl	$36, %esp
	.loc 1 54 0
	movl	$1, -16(%ebp)
	.loc 1 57 0
	movl	$12, (%esp)
	.cfi_offset 3, -12
	call	malloc
	movl	%eax, -12(%ebp)
	.loc 1 58 0
	cmpl	$0, -12(%ebp)
	jne	.L2
	.loc 1 59 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC0, %eax
	movl	%edx, 12(%esp)
	movl	$57, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	.loc 1 60 0
	movl	$0, %eax
	jmp	.L3
.L2:
	.loc 1 62 0
	movl	-16(%ebp), %eax
	sall	$2, %eax
	movl	%eax, (%esp)
	call	malloc
	movl	%eax, %edx
	movl	-12(%ebp), %eax
	movl	%edx, (%eax)
	.loc 1 63 0
	movl	-12(%ebp), %eax
	movl	(%eax), %eax
	testl	%eax, %eax
	jne	.L4
	.loc 1 64 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC1, %eax
	movl	%edx, 12(%esp)
	movl	$56, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	.loc 1 65 0
	movl	$0, %eax
	jmp	.L3
.L4:
	.loc 1 67 0
	movl	-12(%ebp), %eax
	movl	-16(%ebp), %edx
	movl	%edx, 4(%eax)
	.loc 1 70 0
	movl	-12(%ebp), %eax
	movl	%eax, (%esp)
	call	thpool_jobqueue_init
	cmpl	$-1, %eax
	jne	.L5
	.loc 1 71 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC2, %eax
	movl	%edx, 12(%esp)
	movl	$55, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	.loc 1 72 0
	movl	$0, %eax
	jmp	.L3
.L5:
	.loc 1 76 0
	movl	-12(%ebp), %eax
	movl	8(%eax), %ebx
	movl	$16, (%esp)
	call	malloc
	movl	%eax, 12(%ebx)
	.loc 1 77 0
	movl	-12(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%eax), %eax
	movl	$0, 8(%esp)
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	sem_init
	.loc 1 81 0
	movl	$0, -20(%ebp)
	jmp	.L6
.L7:
	.loc 1 82 0 discriminator 2
	movl	$.LC3, %eax
	movl	-20(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 83 0 discriminator 2
	movl	$thpool_thread_do, %eax
	movl	-12(%ebp), %edx
	movl	(%edx), %edx
	movl	-20(%ebp), %ecx
	sall	$2, %ecx
	addl	%edx, %ecx
	movl	-12(%ebp), %edx
	movl	%edx, 12(%esp)
	movl	%eax, 8(%esp)
	movl	$0, 4(%esp)
	movl	%ecx, (%esp)
	call	pthread_create
	.loc 1 81 0 discriminator 2
	addl	$1, -20(%ebp)
.L6:
	.loc 1 81 0 is_stmt 0 discriminator 1
	movl	-20(%ebp), %eax
	cmpl	-16(%ebp), %eax
	jl	.L7
	.loc 1 86 0 is_stmt 1
	movl	-12(%ebp), %eax
.L3:
	.loc 1 87 0
	addl	$36, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%ebp
.LCFI2:
	.cfi_def_cfa 4, 4
	.cfi_restore 5
	ret
	.cfi_endproc
.LFE0:
	.size	thpool_init, .-thpool_init
	.section	.rodata
	.align 4
.LC4:
	.string	"thpool_thread_do(): Waiting for semaphore"
.LC5:
	.string	"Spawning thread %d\n"
	.text
	.globl	thpool_thread_do
	.type	thpool_thread_do, @function
thpool_thread_do:
.LFB1:
	.loc 1 94 0
	.cfi_startproc
	pushl	%ebp
.LCFI3:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI4:
	.cfi_def_cfa_register 5
	pushl	%ebx
	subl	$400100, %esp
	movl	8(%ebp), %eax
	movl	%eax, -400076(%ebp)
	.loc 1 94 0
	movl	%gs:20, %eax
	movl	%eax, -12(%ebp)
	xorl	%eax, %eax
	.loc 1 96 0
	jmp	.L9
	.cfi_offset 3, -12
.L13:
	.loc 1 98 0
	movl	-400076(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%eax), %eax
	movl	%eax, (%esp)
	call	sem_wait
	testl	%eax, %eax
	je	.L10
	.loc 1 99 0
	movl	$.LC4, (%esp)
	call	perror
	.loc 1 100 0
	movl	$1, (%esp)
	call	exit
.L10:
	.loc 1 103 0
	movl	thpool_keepalive, %eax
	testl	%eax, %eax
	je	.L15
.LBB2:
	.loc 1 110 0
	movl	$mutex, (%esp)
	call	pthread_mutex_lock
	.loc 1 112 0
	movl	-400076(%ebp), %eax
	movl	%eax, (%esp)
	call	thpool_jobqueue_peek
	movl	%eax, -60(%ebp)
	.loc 1 113 0
	movl	-60(%ebp), %eax
	movl	(%eax), %eax
	movl	%eax, -56(%ebp)
	.loc 1 114 0
	movl	-60(%ebp), %eax
	movl	4(%eax), %eax
	movl	%eax, -52(%ebp)
	.loc 1 115 0
	movl	-400076(%ebp), %eax
	movl	%eax, (%esp)
	call	thpool_jobqueue_removelast
	.loc 1 117 0
	movl	$mutex, (%esp)
	call	pthread_mutex_unlock
	.loc 1 124 0
	leal	-48(%ebp), %eax
	movl	%eax, (%esp)
	call	pthread_attr_init
	.loc 1 125 0
	movl	$thpool_thread_do, %edx
	leal	-48(%ebp), %eax
	movl	threadsSpawned, %ecx
	leal	0(,%ecx,4), %ebx
	leal	-400060(%ebp), %ecx
	addl	%ecx, %ebx
	movl	-400076(%ebp), %ecx
	movl	%ecx, 12(%esp)
	movl	%edx, 8(%esp)
	movl	%eax, 4(%esp)
	movl	%ebx, (%esp)
	call	pthread_create
	.loc 1 126 0
	movl	threadsSpawned, %eax
	addl	$1, %eax
	movl	%eax, threadsSpawned
	.loc 1 127 0
	movl	threadsSpawned, %edx
	movl	$.LC5, %eax
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 128 0
	movl	stdout, %eax
	movl	%eax, (%esp)
	call	fflush
	.loc 1 130 0
	movl	-52(%ebp), %eax
	movl	%eax, (%esp)
	movl	-56(%ebp), %eax
	call	*%eax
	.loc 1 131 0
	movl	-60(%ebp), %eax
	movl	%eax, (%esp)
	call	free
.L9:
.LBE2:
	.loc 1 96 0 discriminator 1
	movl	thpool_keepalive, %eax
	testl	%eax, %eax
	jne	.L13
	.loc 1 138 0
	jmp	.L8
.L15:
	.loc 1 135 0
	nop
.L8:
	.loc 1 139 0
	movl	-12(%ebp), %eax
	xorl	%gs:20, %eax
	je	.L14
	call	__stack_chk_fail
.L14:
	addl	$400100, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%ebp
.LCFI5:
	.cfi_def_cfa 4, 4
	.cfi_restore 5
	ret
	.cfi_endproc
.LFE1:
	.size	thpool_thread_do, .-thpool_thread_do
	.section	.rodata
	.align 4
.LC6:
	.string	"thpool_add_work(): Could not allocate memory for new job\n"
	.text
	.globl	thpool_add_work
	.type	thpool_add_work, @function
thpool_add_work:
.LFB2:
	.loc 1 143 0
	.cfi_startproc
	pushl	%ebp
.LCFI6:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI7:
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 146 0
	movl	$16, (%esp)
	call	malloc
	movl	%eax, -12(%ebp)
	.loc 1 147 0
	cmpl	$0, -12(%ebp)
	jne	.L17
	.loc 1 148 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC6, %eax
	movl	%edx, 12(%esp)
	movl	$57, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	.loc 1 149 0
	movl	$1, (%esp)
	call	exit
.L17:
	.loc 1 153 0
	movl	-12(%ebp), %eax
	movl	12(%ebp), %edx
	movl	%edx, (%eax)
	.loc 1 154 0
	movl	-12(%ebp), %eax
	movl	16(%ebp), %edx
	movl	%edx, 4(%eax)
	.loc 1 157 0
	movl	$mutex, (%esp)
	call	pthread_mutex_lock
	.loc 1 158 0
	movl	-12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	thpool_jobqueue_add
	.loc 1 159 0
	movl	$mutex, (%esp)
	call	pthread_mutex_unlock
	.loc 1 161 0
	movl	$0, %eax
	.loc 1 162 0
	leave
	.cfi_restore 5
.LCFI8:
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE2:
	.size	thpool_add_work, .-thpool_add_work
	.section	.rodata
	.align 4
.LC7:
	.string	"thpool_destroy(): Could not bypass sem_wait()\n"
	.align 4
.LC8:
	.string	"thpool_destroy(): Could not destroy semaphore\n"
	.text
	.globl	thpool_destroy
	.type	thpool_destroy, @function
thpool_destroy:
.LFB3:
	.loc 1 166 0
	.cfi_startproc
	pushl	%ebp
.LCFI9:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI10:
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 170 0
	movl	$0, thpool_keepalive
	.loc 1 173 0
	movl	$0, -12(%ebp)
	jmp	.L19
.L21:
	.loc 1 174 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%eax), %eax
	movl	%eax, (%esp)
	call	sem_post
	testl	%eax, %eax
	je	.L20
	.loc 1 175 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC7, %eax
	movl	%edx, 12(%esp)
	movl	$46, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
.L20:
	.loc 1 173 0
	addl	$1, -12(%ebp)
.L19:
	.loc 1 173 0 is_stmt 0 discriminator 1
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	cmpl	-12(%ebp), %eax
	jg	.L21
	.loc 1 180 0 is_stmt 1
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%eax), %eax
	movl	%eax, (%esp)
	call	sem_destroy
	testl	%eax, %eax
	je	.L22
	.loc 1 181 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC8, %eax
	movl	%edx, 12(%esp)
	movl	$46, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
.L22:
	.loc 1 185 0
	movl	$0, -12(%ebp)
	jmp	.L23
.L24:
	.loc 1 186 0 discriminator 2
	movl	8(%ebp), %eax
	movl	(%eax), %eax
	movl	-12(%ebp), %edx
	sall	$2, %edx
	addl	%edx, %eax
	movl	(%eax), %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_join
	.loc 1 185 0 discriminator 2
	addl	$1, -12(%ebp)
.L23:
	.loc 1 185 0 is_stmt 0 discriminator 1
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	cmpl	-12(%ebp), %eax
	jg	.L24
	.loc 1 189 0 is_stmt 1
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	thpool_jobqueue_empty
	.loc 1 192 0
	movl	8(%ebp), %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 193 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%eax), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 194 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 195 0
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 196 0
	leave
	.cfi_restore 5
.LCFI11:
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE3:
	.size	thpool_destroy, .-thpool_destroy
	.globl	thpool_jobqueue_init
	.type	thpool_jobqueue_init, @function
thpool_jobqueue_init:
.LFB4:
	.loc 1 205 0
	.cfi_startproc
	pushl	%ebp
.LCFI12:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI13:
	.cfi_def_cfa_register 5
	subl	$24, %esp
	.loc 1 206 0
	movl	$16, (%esp)
	call	malloc
	movl	%eax, %edx
	movl	8(%ebp), %eax
	movl	%edx, 8(%eax)
	.loc 1 207 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	jne	.L26
	.loc 1 207 0 is_stmt 0 discriminator 1
	movl	$-1, %eax
	jmp	.L27
.L26:
	.loc 1 208 0 is_stmt 1
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	$0, 4(%eax)
	.loc 1 209 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	$0, (%eax)
	.loc 1 210 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	$0, 8(%eax)
	.loc 1 211 0
	movl	$0, %eax
.L27:
	.loc 1 212 0
	leave
	.cfi_restore 5
.LCFI14:
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE4:
	.size	thpool_jobqueue_init, .-thpool_jobqueue_init
	.globl	thpool_jobqueue_add
	.type	thpool_jobqueue_add, @function
thpool_jobqueue_add:
.LFB5:
	.loc 1 216 0
	.cfi_startproc
	pushl	%ebp
.LCFI15:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI16:
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 218 0
	movl	12(%ebp), %eax
	movl	$0, 8(%eax)
	.loc 1 219 0
	movl	12(%ebp), %eax
	movl	$0, 12(%eax)
	.loc 1 222 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	(%eax), %eax
	movl	%eax, -12(%ebp)
	.loc 1 225 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	jne	.L32
.L30:
	.loc 1 228 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%ebp), %edx
	movl	%edx, 4(%eax)
	.loc 1 229 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%ebp), %edx
	movl	%edx, (%eax)
	.loc 1 230 0
	jmp	.L31
.L32:
	.loc 1 233 0
	movl	-12(%ebp), %eax
	movl	12(%ebp), %edx
	movl	%edx, 12(%eax)
	.loc 1 234 0
	movl	12(%ebp), %eax
	movl	-12(%ebp), %edx
	movl	%edx, 8(%eax)
	.loc 1 235 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%ebp), %edx
	movl	%edx, (%eax)
.L31:
	.loc 1 239 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	8(%eax), %edx
	addl	$1, %edx
	movl	%edx, 8(%eax)
	.loc 1 240 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%eax), %eax
	movl	%eax, (%esp)
	call	sem_post
	.loc 1 243 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%eax), %eax
	leal	-16(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	sem_getvalue
	.loc 1 244 0
	leave
	.cfi_restore 5
.LCFI17:
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE5:
	.size	thpool_jobqueue_add, .-thpool_jobqueue_add
	.section	.rodata
.LC9:
	.string	"Joining %d %d\n"
	.text
	.globl	waitForThreadsToFinish
	.type	waitForThreadsToFinish, @function
waitForThreadsToFinish:
.LFB6:
	.loc 1 247 0
	.cfi_startproc
	pushl	%ebp
.LCFI18:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI19:
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 249 0
	movl	$0, -12(%ebp)
	jmp	.L34
.L35:
	.loc 1 251 0 discriminator 2
	movl	-12(%ebp), %eax
	movl	tids(,%eax,4), %edx
	movl	$.LC9, %eax
	movl	-12(%ebp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 252 0 discriminator 2
	movl	-12(%ebp), %eax
	movl	tids(,%eax,4), %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_join
	.loc 1 249 0 discriminator 2
	addl	$1, -12(%ebp)
.L34:
	.loc 1 249 0 is_stmt 0 discriminator 1
	movl	threadsSpawned, %eax
	cmpl	%eax, -12(%ebp)
	jl	.L35
	.loc 1 255 0 is_stmt 1
	leave
	.cfi_restore 5
.LCFI20:
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE6:
	.size	waitForThreadsToFinish, .-waitForThreadsToFinish
	.globl	getQueuedJobCount
	.type	getQueuedJobCount, @function
getQueuedJobCount:
.LFB7:
	.loc 1 258 0
	.cfi_startproc
	pushl	%ebp
.LCFI21:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI22:
	.cfi_def_cfa_register 5
	.loc 1 259 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	jle	.L38
	.loc 1 261 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	8(%eax), %eax
	jmp	.L36
.L38:
.L36:
	.loc 1 265 0
	popl	%ebp
.LCFI23:
	.cfi_def_cfa 4, 4
	.cfi_restore 5
	ret
	.cfi_endproc
.LFE7:
	.size	getQueuedJobCount, .-getQueuedJobCount
	.globl	thpool_jobqueue_removelast
	.type	thpool_jobqueue_removelast, @function
thpool_jobqueue_removelast:
.LFB8:
	.loc 1 269 0
	.cfi_startproc
	pushl	%ebp
.LCFI24:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI25:
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 271 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	4(%eax), %eax
	movl	%eax, -12(%ebp)
	.loc 1 274 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	je	.L41
	cmpl	$1, %eax
	je	.L42
	jmp	.L45
.L41:
	.loc 1 277 0
	movl	$-1, %eax
	jmp	.L43
.L42:
	.loc 1 281 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	$0, 4(%eax)
	.loc 1 282 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	$0, (%eax)
	.loc 1 283 0
	jmp	.L44
.L45:
	.loc 1 286 0
	movl	-12(%ebp), %eax
	movl	12(%eax), %eax
	movl	$0, 8(%eax)
	.loc 1 287 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	-12(%ebp), %edx
	movl	12(%edx), %edx
	movl	%edx, 4(%eax)
.L44:
	.loc 1 291 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	8(%eax), %edx
	subl	$1, %edx
	movl	%edx, 8(%eax)
	.loc 1 294 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	12(%eax), %eax
	leal	-16(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	sem_getvalue
	.loc 1 295 0
	movl	$0, %eax
.L43:
	.loc 1 296 0
	leave
	.cfi_restore 5
.LCFI26:
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE8:
	.size	thpool_jobqueue_removelast, .-thpool_jobqueue_removelast
	.globl	thpool_jobqueue_peek
	.type	thpool_jobqueue_peek, @function
thpool_jobqueue_peek:
.LFB9:
	.loc 1 300 0
	.cfi_startproc
	pushl	%ebp
.LCFI27:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI28:
	.cfi_def_cfa_register 5
	.loc 1 301 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	4(%eax), %eax
	.loc 1 302 0
	popl	%ebp
.LCFI29:
	.cfi_def_cfa 4, 4
	.cfi_restore 5
	ret
	.cfi_endproc
.LFE9:
	.size	thpool_jobqueue_peek, .-thpool_jobqueue_peek
	.globl	thpool_jobqueue_empty
	.type	thpool_jobqueue_empty, @function
thpool_jobqueue_empty:
.LFB10:
	.loc 1 305 0
	.cfi_startproc
	pushl	%ebp
.LCFI30:
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
.LCFI31:
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 308 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	4(%eax), %eax
	movl	%eax, -12(%ebp)
	.loc 1 310 0
	jmp	.L48
.L49:
	.loc 1 311 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	-12(%ebp), %edx
	movl	12(%edx), %edx
	movl	%edx, 4(%eax)
	.loc 1 312 0
	movl	-12(%ebp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 313 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	4(%eax), %eax
	movl	%eax, -12(%ebp)
	.loc 1 314 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	8(%eax), %edx
	subl	$1, %edx
	movl	%edx, 8(%eax)
.L48:
	.loc 1 310 0 discriminator 1
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	jne	.L49
	.loc 1 318 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	$0, 4(%eax)
	.loc 1 319 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	movl	$0, (%eax)
	.loc 1 320 0
	leave
	.cfi_restore 5
.LCFI32:
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE10:
	.size	thpool_jobqueue_empty, .-thpool_jobqueue_empty
.Letext0:
	.file 2 "/usr/lib/gcc/i686-linux-gnu/4.6/include/stddef.h"
	.file 3 "/usr/include/i386-linux-gnu/bits/types.h"
	.file 4 "/usr/include/libio.h"
	.file 5 "/usr/include/i386-linux-gnu/bits/pthreadtypes.h"
	.file 6 "/usr/include/i386-linux-gnu/bits/semaphore.h"
	.file 7 "thpool.h"
	.file 8 "/usr/include/stdio.h"
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.long	0x8ac
	.value	0x2
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF109
	.byte	0x1
	.long	.LASF110
	.long	.LASF111
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF8
	.byte	0x2
	.byte	0xd4
	.long	0x30
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x2
	.long	.LASF9
	.byte	0x3
	.byte	0x38
	.long	0x61
	.uleb128 0x2
	.long	.LASF10
	.byte	0x3
	.byte	0x8d
	.long	0x85
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.long	.LASF11
	.uleb128 0x2
	.long	.LASF12
	.byte	0x3
	.byte	0x8e
	.long	0x6f
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x6
	.byte	0x4
	.long	0x9f
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF13
	.uleb128 0x7
	.long	.LASF43
	.byte	0x94
	.byte	0x4
	.value	0x111
	.long	0x267
	.uleb128 0x8
	.long	.LASF14
	.byte	0x4
	.value	0x112
	.long	0x5a
	.byte	0x2
	.byte	0x23
	.uleb128 0
	.uleb128 0x8
	.long	.LASF15
	.byte	0x4
	.value	0x117
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0x4
	.uleb128 0x8
	.long	.LASF16
	.byte	0x4
	.value	0x118
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0x8
	.uleb128 0x8
	.long	.LASF17
	.byte	0x4
	.value	0x119
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0xc
	.uleb128 0x8
	.long	.LASF18
	.byte	0x4
	.value	0x11a
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0x10
	.uleb128 0x8
	.long	.LASF19
	.byte	0x4
	.value	0x11b
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0x14
	.uleb128 0x8
	.long	.LASF20
	.byte	0x4
	.value	0x11c
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0x18
	.uleb128 0x8
	.long	.LASF21
	.byte	0x4
	.value	0x11d
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0x1c
	.uleb128 0x8
	.long	.LASF22
	.byte	0x4
	.value	0x11e
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0x20
	.uleb128 0x8
	.long	.LASF23
	.byte	0x4
	.value	0x120
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0x24
	.uleb128 0x8
	.long	.LASF24
	.byte	0x4
	.value	0x121
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0x28
	.uleb128 0x8
	.long	.LASF25
	.byte	0x4
	.value	0x122
	.long	0x99
	.byte	0x2
	.byte	0x23
	.uleb128 0x2c
	.uleb128 0x8
	.long	.LASF26
	.byte	0x4
	.value	0x124
	.long	0x2a5
	.byte	0x2
	.byte	0x23
	.uleb128 0x30
	.uleb128 0x8
	.long	.LASF27
	.byte	0x4
	.value	0x126
	.long	0x2ab
	.byte	0x2
	.byte	0x23
	.uleb128 0x34
	.uleb128 0x8
	.long	.LASF28
	.byte	0x4
	.value	0x128
	.long	0x5a
	.byte	0x2
	.byte	0x23
	.uleb128 0x38
	.uleb128 0x8
	.long	.LASF29
	.byte	0x4
	.value	0x12c
	.long	0x5a
	.byte	0x2
	.byte	0x23
	.uleb128 0x3c
	.uleb128 0x8
	.long	.LASF30
	.byte	0x4
	.value	0x12e
	.long	0x7a
	.byte	0x2
	.byte	0x23
	.uleb128 0x40
	.uleb128 0x8
	.long	.LASF31
	.byte	0x4
	.value	0x132
	.long	0x3e
	.byte	0x2
	.byte	0x23
	.uleb128 0x44
	.uleb128 0x8
	.long	.LASF32
	.byte	0x4
	.value	0x133
	.long	0x4c
	.byte	0x2
	.byte	0x23
	.uleb128 0x46
	.uleb128 0x8
	.long	.LASF33
	.byte	0x4
	.value	0x134
	.long	0x2b1
	.byte	0x2
	.byte	0x23
	.uleb128 0x47
	.uleb128 0x8
	.long	.LASF34
	.byte	0x4
	.value	0x138
	.long	0x2c1
	.byte	0x2
	.byte	0x23
	.uleb128 0x48
	.uleb128 0x8
	.long	.LASF35
	.byte	0x4
	.value	0x141
	.long	0x8c
	.byte	0x2
	.byte	0x23
	.uleb128 0x4c
	.uleb128 0x8
	.long	.LASF36
	.byte	0x4
	.value	0x14a
	.long	0x97
	.byte	0x2
	.byte	0x23
	.uleb128 0x54
	.uleb128 0x8
	.long	.LASF37
	.byte	0x4
	.value	0x14b
	.long	0x97
	.byte	0x2
	.byte	0x23
	.uleb128 0x58
	.uleb128 0x8
	.long	.LASF38
	.byte	0x4
	.value	0x14c
	.long	0x97
	.byte	0x2
	.byte	0x23
	.uleb128 0x5c
	.uleb128 0x8
	.long	.LASF39
	.byte	0x4
	.value	0x14d
	.long	0x97
	.byte	0x2
	.byte	0x23
	.uleb128 0x60
	.uleb128 0x8
	.long	.LASF40
	.byte	0x4
	.value	0x14e
	.long	0x25
	.byte	0x2
	.byte	0x23
	.uleb128 0x64
	.uleb128 0x8
	.long	.LASF41
	.byte	0x4
	.value	0x150
	.long	0x5a
	.byte	0x2
	.byte	0x23
	.uleb128 0x68
	.uleb128 0x8
	.long	.LASF42
	.byte	0x4
	.value	0x152
	.long	0x2c7
	.byte	0x2
	.byte	0x23
	.uleb128 0x6c
	.byte	0
	.uleb128 0x9
	.long	.LASF112
	.byte	0x4
	.byte	0xb6
	.uleb128 0xa
	.long	.LASF44
	.byte	0xc
	.byte	0x4
	.byte	0xbc
	.long	0x2a5
	.uleb128 0xb
	.long	.LASF45
	.byte	0x4
	.byte	0xbd
	.long	0x2a5
	.byte	0x2
	.byte	0x23
	.uleb128 0
	.uleb128 0xb
	.long	.LASF46
	.byte	0x4
	.byte	0xbe
	.long	0x2ab
	.byte	0x2
	.byte	0x23
	.uleb128 0x4
	.uleb128 0xb
	.long	.LASF47
	.byte	0x4
	.byte	0xc2
	.long	0x5a
	.byte	0x2
	.byte	0x23
	.uleb128 0x8
	.byte	0
	.uleb128 0x6
	.byte	0x4
	.long	0x26e
	.uleb128 0x6
	.byte	0x4
	.long	0xa6
	.uleb128 0xc
	.long	0x9f
	.long	0x2c1
	.uleb128 0xd
	.long	0x30
	.byte	0
	.byte	0
	.uleb128 0x6
	.byte	0x4
	.long	0x267
	.uleb128 0xc
	.long	0x9f
	.long	0x2d7
	.uleb128 0xd
	.long	0x30
	.byte	0x27
	.byte	0
	.uleb128 0x2
	.long	.LASF48
	.byte	0x5
	.byte	0x24
	.long	0x45
	.uleb128 0xe
	.byte	0x24
	.byte	0x5
	.byte	0x27
	.long	0x301
	.uleb128 0xf
	.long	.LASF49
	.byte	0x5
	.byte	0x29
	.long	0x301
	.uleb128 0xf
	.long	.LASF50
	.byte	0x5
	.byte	0x2a
	.long	0x85
	.byte	0
	.uleb128 0xc
	.long	0x9f
	.long	0x311
	.uleb128 0xd
	.long	0x30
	.byte	0x23
	.byte	0
	.uleb128 0x2
	.long	.LASF51
	.byte	0x5
	.byte	0x2b
	.long	0x2e2
	.uleb128 0xa
	.long	.LASF52
	.byte	0x4
	.byte	0x5
	.byte	0x2e
	.long	0x337
	.uleb128 0xb
	.long	.LASF53
	.byte	0x5
	.byte	0x30
	.long	0x337
	.byte	0x2
	.byte	0x23
	.uleb128 0
	.byte	0
	.uleb128 0x6
	.byte	0x4
	.long	0x31c
	.uleb128 0x2
	.long	.LASF54
	.byte	0x5
	.byte	0x31
	.long	0x31c
	.uleb128 0xe
	.byte	0x4
	.byte	0x5
	.byte	0x41
	.long	0x367
	.uleb128 0xf
	.long	.LASF55
	.byte	0x5
	.byte	0x43
	.long	0x5a
	.uleb128 0xf
	.long	.LASF56
	.byte	0x5
	.byte	0x44
	.long	0x33d
	.byte	0
	.uleb128 0xa
	.long	.LASF57
	.byte	0x18
	.byte	0x5
	.byte	0x38
	.long	0x3c2
	.uleb128 0xb
	.long	.LASF58
	.byte	0x5
	.byte	0x3a
	.long	0x5a
	.byte	0x2
	.byte	0x23
	.uleb128 0
	.uleb128 0xb
	.long	.LASF59
	.byte	0x5
	.byte	0x3b
	.long	0x30
	.byte	0x2
	.byte	0x23
	.uleb128 0x4
	.uleb128 0xb
	.long	.LASF60
	.byte	0x5
	.byte	0x3c
	.long	0x5a
	.byte	0x2
	.byte	0x23
	.uleb128 0x8
	.uleb128 0xb
	.long	.LASF61
	.byte	0x5
	.byte	0x3f
	.long	0x5a
	.byte	0x2
	.byte	0x23
	.uleb128 0xc
	.uleb128 0xb
	.long	.LASF62
	.byte	0x5
	.byte	0x40
	.long	0x30
	.byte	0x2
	.byte	0x23
	.uleb128 0x10
	.uleb128 0x10
	.long	0x348
	.byte	0x2
	.byte	0x23
	.uleb128 0x14
	.byte	0
	.uleb128 0xe
	.byte	0x18
	.byte	0x5
	.byte	0x36
	.long	0x3ec
	.uleb128 0xf
	.long	.LASF63
	.byte	0x5
	.byte	0x46
	.long	0x367
	.uleb128 0xf
	.long	.LASF49
	.byte	0x5
	.byte	0x47
	.long	0x3ec
	.uleb128 0xf
	.long	.LASF50
	.byte	0x5
	.byte	0x48
	.long	0x85
	.byte	0
	.uleb128 0xc
	.long	0x9f
	.long	0x3fc
	.uleb128 0xd
	.long	0x30
	.byte	0x17
	.byte	0
	.uleb128 0x2
	.long	.LASF64
	.byte	0x5
	.byte	0x49
	.long	0x3c2
	.uleb128 0xe
	.byte	0x10
	.byte	0x6
	.byte	0x20
	.long	0x426
	.uleb128 0xf
	.long	.LASF49
	.byte	0x6
	.byte	0x22
	.long	0x426
	.uleb128 0xf
	.long	.LASF50
	.byte	0x6
	.byte	0x23
	.long	0x85
	.byte	0
	.uleb128 0xc
	.long	0x9f
	.long	0x436
	.uleb128 0xd
	.long	0x30
	.byte	0xf
	.byte	0
	.uleb128 0x2
	.long	.LASF65
	.byte	0x6
	.byte	0x24
	.long	0x407
	.uleb128 0xa
	.long	.LASF66
	.byte	0x10
	.byte	0x7
	.byte	0x48
	.long	0x486
	.uleb128 0xb
	.long	.LASF67
	.byte	0x7
	.byte	0x49
	.long	0x496
	.byte	0x2
	.byte	0x23
	.uleb128 0
	.uleb128 0x11
	.string	"arg"
	.byte	0x7
	.byte	0x4a
	.long	0x97
	.byte	0x2
	.byte	0x23
	.uleb128 0x4
	.uleb128 0xb
	.long	.LASF68
	.byte	0x7
	.byte	0x4b
	.long	0x49c
	.byte	0x2
	.byte	0x23
	.uleb128 0x8
	.uleb128 0xb
	.long	.LASF69
	.byte	0x7
	.byte	0x4c
	.long	0x49c
	.byte	0x2
	.byte	0x23
	.uleb128 0xc
	.byte	0
	.uleb128 0x12
	.byte	0x1
	.long	0x97
	.long	0x496
	.uleb128 0x13
	.long	0x97
	.byte	0
	.uleb128 0x6
	.byte	0x4
	.long	0x486
	.uleb128 0x6
	.byte	0x4
	.long	0x441
	.uleb128 0x2
	.long	.LASF66
	.byte	0x7
	.byte	0x4d
	.long	0x441
	.uleb128 0xa
	.long	.LASF70
	.byte	0x10
	.byte	0x7
	.byte	0x51
	.long	0x4f2
	.uleb128 0xb
	.long	.LASF71
	.byte	0x7
	.byte	0x52
	.long	0x4f2
	.byte	0x2
	.byte	0x23
	.uleb128 0
	.uleb128 0xb
	.long	.LASF72
	.byte	0x7
	.byte	0x53
	.long	0x4f2
	.byte	0x2
	.byte	0x23
	.uleb128 0x4
	.uleb128 0xb
	.long	.LASF73
	.byte	0x7
	.byte	0x54
	.long	0x5a
	.byte	0x2
	.byte	0x23
	.uleb128 0x8
	.uleb128 0xb
	.long	.LASF74
	.byte	0x7
	.byte	0x55
	.long	0x4f8
	.byte	0x2
	.byte	0x23
	.uleb128 0xc
	.byte	0
	.uleb128 0x6
	.byte	0x4
	.long	0x4a2
	.uleb128 0x6
	.byte	0x4
	.long	0x436
	.uleb128 0x2
	.long	.LASF70
	.byte	0x7
	.byte	0x56
	.long	0x4ad
	.uleb128 0xa
	.long	.LASF75
	.byte	0xc
	.byte	0x7
	.byte	0x5a
	.long	0x540
	.uleb128 0xb
	.long	.LASF76
	.byte	0x7
	.byte	0x5b
	.long	0x540
	.byte	0x2
	.byte	0x23
	.uleb128 0
	.uleb128 0xb
	.long	.LASF77
	.byte	0x7
	.byte	0x5c
	.long	0x5a
	.byte	0x2
	.byte	0x23
	.uleb128 0x4
	.uleb128 0xb
	.long	.LASF78
	.byte	0x7
	.byte	0x5d
	.long	0x546
	.byte	0x2
	.byte	0x23
	.uleb128 0x8
	.byte	0
	.uleb128 0x6
	.byte	0x4
	.long	0x2d7
	.uleb128 0x6
	.byte	0x4
	.long	0x4fe
	.uleb128 0x2
	.long	.LASF75
	.byte	0x7
	.byte	0x5e
	.long	0x509
	.uleb128 0x6
	.byte	0x4
	.long	0x54c
	.uleb128 0x14
	.byte	0x1
	.long	.LASF85
	.byte	0x1
	.byte	0x33
	.byte	0x1
	.long	0x557
	.long	.LFB0
	.long	.LFE0
	.long	.LLST0
	.long	0x5a3
	.uleb128 0x15
	.long	.LASF77
	.byte	0x1
	.byte	0x33
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x16
	.long	.LASF79
	.byte	0x1
	.byte	0x34
	.long	0x557
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x17
	.string	"t"
	.byte	0x1
	.byte	0x50
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -28
	.byte	0
	.uleb128 0x18
	.byte	0x1
	.long	.LASF90
	.byte	0x1
	.byte	0x5e
	.byte	0x1
	.long	.LFB1
	.long	.LFE1
	.long	.LLST1
	.long	0x62b
	.uleb128 0x15
	.long	.LASF79
	.byte	0x1
	.byte	0x5e
	.long	0x557
	.byte	0x4
	.byte	0x91
	.sleb128 -400084
	.uleb128 0x19
	.long	.LBB2
	.long	.LBE2
	.uleb128 0x16
	.long	.LASF80
	.byte	0x1
	.byte	0x6a
	.long	0x496
	.byte	0x2
	.byte	0x91
	.sleb128 -64
	.uleb128 0x16
	.long	.LASF81
	.byte	0x1
	.byte	0x6b
	.long	0x97
	.byte	0x2
	.byte	0x91
	.sleb128 -60
	.uleb128 0x16
	.long	.LASF82
	.byte	0x1
	.byte	0x6c
	.long	0x4f2
	.byte	0x3
	.byte	0x91
	.sleb128 -68
	.uleb128 0x16
	.long	.LASF83
	.byte	0x1
	.byte	0x76
	.long	0x62b
	.byte	0x4
	.byte	0x91
	.sleb128 -400068
	.uleb128 0x16
	.long	.LASF84
	.byte	0x1
	.byte	0x78
	.long	0x311
	.byte	0x2
	.byte	0x91
	.sleb128 -56
	.uleb128 0x1a
	.long	.LASF97
	.byte	0x1
	.byte	0x7a
	.long	0x5a
	.byte	0
	.byte	0
	.uleb128 0xc
	.long	0x2d7
	.long	0x63e
	.uleb128 0x1b
	.long	0x30
	.long	0x1869f
	.byte	0
	.uleb128 0x14
	.byte	0x1
	.long	.LASF86
	.byte	0x1
	.byte	0x8f
	.byte	0x1
	.long	0x5a
	.long	.LFB2
	.long	.LFE2
	.long	.LLST2
	.long	0x694
	.uleb128 0x15
	.long	.LASF79
	.byte	0x1
	.byte	0x8f
	.long	0x557
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x15
	.long	.LASF87
	.byte	0x1
	.byte	0x8f
	.long	0x496
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x15
	.long	.LASF88
	.byte	0x1
	.byte	0x8f
	.long	0x97
	.byte	0x2
	.byte	0x91
	.sleb128 8
	.uleb128 0x16
	.long	.LASF89
	.byte	0x1
	.byte	0x90
	.long	0x4f2
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0
	.uleb128 0x18
	.byte	0x1
	.long	.LASF91
	.byte	0x1
	.byte	0xa6
	.byte	0x1
	.long	.LFB3
	.long	.LFE3
	.long	.LLST3
	.long	0x6c8
	.uleb128 0x15
	.long	.LASF79
	.byte	0x1
	.byte	0xa6
	.long	0x557
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x17
	.string	"t"
	.byte	0x1
	.byte	0xa7
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0
	.uleb128 0x14
	.byte	0x1
	.long	.LASF92
	.byte	0x1
	.byte	0xcd
	.byte	0x1
	.long	0x5a
	.long	.LFB4
	.long	.LFE4
	.long	.LLST4
	.long	0x6f4
	.uleb128 0x15
	.long	.LASF79
	.byte	0x1
	.byte	0xcd
	.long	0x557
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0
	.uleb128 0x18
	.byte	0x1
	.long	.LASF93
	.byte	0x1
	.byte	0xd8
	.byte	0x1
	.long	.LFB5
	.long	.LFE5
	.long	.LLST5
	.long	0x746
	.uleb128 0x15
	.long	.LASF79
	.byte	0x1
	.byte	0xd8
	.long	0x557
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x15
	.long	.LASF94
	.byte	0x1
	.byte	0xd8
	.long	0x4f2
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x16
	.long	.LASF95
	.byte	0x1
	.byte	0xdd
	.long	0x4f2
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x16
	.long	.LASF96
	.byte	0x1
	.byte	0xf2
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.byte	0
	.uleb128 0x1c
	.byte	0x1
	.long	.LASF113
	.byte	0x1
	.byte	0xf6
	.long	.LFB6
	.long	.LFE6
	.long	.LLST6
	.long	0x76d
	.uleb128 0x16
	.long	.LASF97
	.byte	0x1
	.byte	0xf8
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0
	.uleb128 0x1d
	.byte	0x1
	.long	.LASF98
	.byte	0x1
	.value	0x101
	.byte	0x1
	.long	0x5a
	.long	.LFB7
	.long	.LFE7
	.long	.LLST7
	.long	0x79b
	.uleb128 0x1e
	.long	.LASF79
	.byte	0x1
	.value	0x101
	.long	0x557
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0
	.uleb128 0x1d
	.byte	0x1
	.long	.LASF99
	.byte	0x1
	.value	0x10d
	.byte	0x1
	.long	0x5a
	.long	.LFB8
	.long	.LFE8
	.long	.LLST8
	.long	0x7e7
	.uleb128 0x1e
	.long	.LASF79
	.byte	0x1
	.value	0x10d
	.long	0x557
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1f
	.long	.LASF100
	.byte	0x1
	.value	0x10e
	.long	0x4f2
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x1f
	.long	.LASF96
	.byte	0x1
	.value	0x125
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.byte	0
	.uleb128 0x1d
	.byte	0x1
	.long	.LASF101
	.byte	0x1
	.value	0x12c
	.byte	0x1
	.long	0x4f2
	.long	.LFB9
	.long	.LFE9
	.long	.LLST9
	.long	0x815
	.uleb128 0x1e
	.long	.LASF79
	.byte	0x1
	.value	0x12c
	.long	0x557
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0
	.uleb128 0x20
	.byte	0x1
	.long	.LASF102
	.byte	0x1
	.value	0x131
	.byte	0x1
	.long	.LFB10
	.long	.LFE10
	.long	.LLST10
	.long	0x84e
	.uleb128 0x1e
	.long	.LASF79
	.byte	0x1
	.value	0x131
	.long	0x557
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1f
	.long	.LASF103
	.byte	0x1
	.value	0x133
	.long	0x4f2
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0
	.uleb128 0x16
	.long	.LASF104
	.byte	0x1
	.byte	0x2a
	.long	0x5a
	.byte	0x5
	.byte	0x3
	.long	thpool_keepalive
	.uleb128 0x21
	.long	.LASF105
	.byte	0x8
	.byte	0xaa
	.long	0x2ab
	.byte	0x1
	.byte	0x1
	.uleb128 0x21
	.long	.LASF106
	.byte	0x8
	.byte	0xab
	.long	0x2ab
	.byte	0x1
	.byte	0x1
	.uleb128 0x22
	.long	.LASF107
	.byte	0x1
	.byte	0x24
	.long	0x5a
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	threadsSpawned
	.uleb128 0x22
	.long	.LASF83
	.byte	0x1
	.byte	0x25
	.long	0x62b
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	tids
	.uleb128 0x22
	.long	.LASF108
	.byte	0x1
	.byte	0x2d
	.long	0x3fc
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	mutex
	.byte	0
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0
	.byte	0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0
	.byte	0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0
	.byte	0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x7
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x8
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xa
	.byte	0
	.byte	0
	.uleb128 0x9
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xa
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xb
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xa
	.byte	0
	.byte	0
	.uleb128 0xc
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xd
	.uleb128 0x21
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xe
	.uleb128 0x17
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xf
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x10
	.uleb128 0xd
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xa
	.byte	0
	.byte	0
	.uleb128 0x11
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xa
	.byte	0
	.byte	0
	.uleb128 0x12
	.uleb128 0x15
	.byte	0x1
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x13
	.uleb128 0x5
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x14
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0x6
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x15
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0
	.byte	0
	.uleb128 0x16
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0
	.byte	0
	.uleb128 0x17
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0
	.byte	0
	.uleb128 0x18
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0x6
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x19
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0
	.byte	0
	.uleb128 0x1a
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1b
	.uleb128 0x21
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0x6
	.byte	0
	.byte	0
	.uleb128 0x1c
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0x6
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1d
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0x6
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1e
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0
	.byte	0
	.uleb128 0x1f
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0
	.byte	0
	.uleb128 0x20
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0x6
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x21
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0
	.byte	0
	.uleb128 0x22
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0
	.byte	0
	.byte	0
	.section	.debug_loc,"",@progbits
.Ldebug_loc0:
.LLST0:
	.long	.LFB0-.Ltext0
	.long	.LCFI0-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI0-.Ltext0
	.long	.LCFI1-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI1-.Ltext0
	.long	.LCFI2-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI2-.Ltext0
	.long	.LFE0-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
.LLST1:
	.long	.LFB1-.Ltext0
	.long	.LCFI3-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI3-.Ltext0
	.long	.LCFI4-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI4-.Ltext0
	.long	.LCFI5-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI5-.Ltext0
	.long	.LFE1-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
.LLST2:
	.long	.LFB2-.Ltext0
	.long	.LCFI6-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI6-.Ltext0
	.long	.LCFI7-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI7-.Ltext0
	.long	.LCFI8-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI8-.Ltext0
	.long	.LFE2-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
.LLST3:
	.long	.LFB3-.Ltext0
	.long	.LCFI9-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI9-.Ltext0
	.long	.LCFI10-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI10-.Ltext0
	.long	.LCFI11-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI11-.Ltext0
	.long	.LFE3-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
.LLST4:
	.long	.LFB4-.Ltext0
	.long	.LCFI12-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI12-.Ltext0
	.long	.LCFI13-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI13-.Ltext0
	.long	.LCFI14-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI14-.Ltext0
	.long	.LFE4-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
.LLST5:
	.long	.LFB5-.Ltext0
	.long	.LCFI15-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI15-.Ltext0
	.long	.LCFI16-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI16-.Ltext0
	.long	.LCFI17-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI17-.Ltext0
	.long	.LFE5-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
.LLST6:
	.long	.LFB6-.Ltext0
	.long	.LCFI18-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI18-.Ltext0
	.long	.LCFI19-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI19-.Ltext0
	.long	.LCFI20-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI20-.Ltext0
	.long	.LFE6-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
.LLST7:
	.long	.LFB7-.Ltext0
	.long	.LCFI21-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI21-.Ltext0
	.long	.LCFI22-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI22-.Ltext0
	.long	.LCFI23-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI23-.Ltext0
	.long	.LFE7-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
.LLST8:
	.long	.LFB8-.Ltext0
	.long	.LCFI24-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI24-.Ltext0
	.long	.LCFI25-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI25-.Ltext0
	.long	.LCFI26-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI26-.Ltext0
	.long	.LFE8-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
.LLST9:
	.long	.LFB9-.Ltext0
	.long	.LCFI27-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI27-.Ltext0
	.long	.LCFI28-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI28-.Ltext0
	.long	.LCFI29-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI29-.Ltext0
	.long	.LFE9-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
.LLST10:
	.long	.LFB10-.Ltext0
	.long	.LCFI30-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	.LCFI30-.Ltext0
	.long	.LCFI31-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 8
	.long	.LCFI31-.Ltext0
	.long	.LCFI32-.Ltext0
	.value	0x2
	.byte	0x75
	.sleb128 8
	.long	.LCFI32-.Ltext0
	.long	.LFE10-.Ltext0
	.value	0x2
	.byte	0x74
	.sleb128 4
	.long	0
	.long	0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0
	.value	0
	.value	0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0
	.long	0
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.section	.debug_str,"MS",@progbits,1
.LASF9:
	.string	"__quad_t"
.LASF92:
	.string	"thpool_jobqueue_init"
.LASF30:
	.string	"_old_offset"
.LASF63:
	.string	"__data"
.LASF66:
	.string	"thpool_job_t"
.LASF43:
	.string	"_IO_FILE"
.LASF86:
	.string	"thpool_add_work"
.LASF79:
	.string	"tp_p"
.LASF98:
	.string	"getQueuedJobCount"
.LASF5:
	.string	"short int"
.LASF8:
	.string	"size_t"
.LASF35:
	.string	"_offset"
.LASF19:
	.string	"_IO_write_ptr"
.LASF14:
	.string	"_flags"
.LASF64:
	.string	"pthread_mutex_t"
.LASF59:
	.string	"__count"
.LASF113:
	.string	"waitForThreadsToFinish"
.LASF77:
	.string	"threadsN"
.LASF50:
	.string	"__align"
.LASF26:
	.string	"_markers"
.LASF16:
	.string	"_IO_read_end"
.LASF71:
	.string	"head"
.LASF97:
	.string	"index"
.LASF83:
	.string	"tids"
.LASF102:
	.string	"thpool_jobqueue_empty"
.LASF65:
	.string	"sem_t"
.LASF93:
	.string	"thpool_jobqueue_add"
.LASF101:
	.string	"thpool_jobqueue_peek"
.LASF89:
	.string	"newJob"
.LASF53:
	.string	"__next"
.LASF80:
	.string	"func_buff"
.LASF76:
	.string	"threads"
.LASF106:
	.string	"stderr"
.LASF61:
	.string	"__kind"
.LASF6:
	.string	"long long int"
.LASF7:
	.string	"long long unsigned int"
.LASF34:
	.string	"_lock"
.LASF94:
	.string	"newjob_p"
.LASF11:
	.string	"long int"
.LASF111:
	.string	"/media/sf_D_DRIVE/Dropbox/ClassPreps/Winter20132014/CS3844/LecturesAndLectureActivities/Lecture10ThreadPoolsAndMultithreading/ThreadPoolExampleCode/nonpooledCode"
.LASF31:
	.string	"_cur_column"
.LASF52:
	.string	"__pthread_internal_slist"
.LASF47:
	.string	"_pos"
.LASF55:
	.string	"__spins"
.LASF18:
	.string	"_IO_write_base"
.LASF82:
	.string	"job_p"
.LASF46:
	.string	"_sbuf"
.LASF81:
	.string	"arg_buff"
.LASF1:
	.string	"unsigned char"
.LASF72:
	.string	"tail"
.LASF95:
	.string	"oldFirstJob"
.LASF70:
	.string	"thpool_jobqueue"
.LASF88:
	.string	"arg_p"
.LASF99:
	.string	"thpool_jobqueue_removelast"
.LASF87:
	.string	"function_p"
.LASF4:
	.string	"signed char"
.LASF90:
	.string	"thpool_thread_do"
.LASF91:
	.string	"thpool_destroy"
.LASF0:
	.string	"unsigned int"
.LASF44:
	.string	"_IO_marker"
.LASF33:
	.string	"_shortbuf"
.LASF110:
	.string	"thpool.c"
.LASF85:
	.string	"thpool_init"
.LASF42:
	.string	"_unused2"
.LASF15:
	.string	"_IO_read_ptr"
.LASF108:
	.string	"mutex"
.LASF49:
	.string	"__size"
.LASF22:
	.string	"_IO_buf_end"
.LASF13:
	.string	"char"
.LASF62:
	.string	"__nusers"
.LASF73:
	.string	"jobsN"
.LASF96:
	.string	"sval"
.LASF45:
	.string	"_next"
.LASF36:
	.string	"__pad1"
.LASF37:
	.string	"__pad2"
.LASF38:
	.string	"__pad3"
.LASF39:
	.string	"__pad4"
.LASF40:
	.string	"__pad5"
.LASF58:
	.string	"__lock"
.LASF78:
	.string	"jobqueue"
.LASF75:
	.string	"thpool_t"
.LASF60:
	.string	"__owner"
.LASF2:
	.string	"short unsigned int"
.LASF104:
	.string	"thpool_keepalive"
.LASF57:
	.string	"__pthread_mutex_s"
.LASF3:
	.string	"long unsigned int"
.LASF25:
	.string	"_IO_save_end"
.LASF20:
	.string	"_IO_write_end"
.LASF12:
	.string	"__off64_t"
.LASF28:
	.string	"_fileno"
.LASF74:
	.string	"queueSem"
.LASF27:
	.string	"_chain"
.LASF54:
	.string	"__pthread_slist_t"
.LASF84:
	.string	"attr"
.LASF10:
	.string	"__off_t"
.LASF24:
	.string	"_IO_backup_base"
.LASF21:
	.string	"_IO_buf_base"
.LASF29:
	.string	"_flags2"
.LASF41:
	.string	"_mode"
.LASF17:
	.string	"_IO_read_base"
.LASF56:
	.string	"__list"
.LASF32:
	.string	"_vtable_offset"
.LASF109:
	.string	"GNU C 4.6.3"
.LASF23:
	.string	"_IO_save_base"
.LASF107:
	.string	"threadsSpawned"
.LASF67:
	.string	"function"
.LASF69:
	.string	"prev"
.LASF100:
	.string	"oldLastJob"
.LASF51:
	.string	"pthread_attr_t"
.LASF48:
	.string	"pthread_t"
.LASF103:
	.string	"curjob"
.LASF105:
	.string	"stdout"
.LASF68:
	.string	"next"
.LASF112:
	.string	"_IO_lock_t"
	.ident	"GCC: (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3"
	.section	.note.GNU-stack,"",@progbits
